Extending Qt Creator Manual | Block

Extending Qt Creator Manual 4.5.2

# Block Class

(CPlusPlus::Document::Block)

- List of all members, including inherited members

## Public Functions

| Block(unsigned bytesBegin = 0, unsigned bytesEnd = 0, unsigned utf16charsBegin = 0, unsigned utf16charsEnd = 0)
unsigned | bytesBegin() const
unsigned | bytesEnd() const
bool | containsUtf16charOffset(unsigned utf16charOffset) const
unsigned | utf16charsBegin() const
unsigned | utf16charsEnd() const

## Member Function Documentation

### Block::Block(unsigned bytesBegin = 0, unsigned bytesEnd = 0, unsigned utf16charsBegin = 0, unsigned utf16charsEnd = 0)

Default constructs an instance of Block.

### unsigned Block::bytesBegin() const

### unsigned Block::bytesEnd() const

### bool Block::containsUtf16charOffset(unsigned utf16charOffset) const

### unsigned Block::utf16charsBegin() const

### unsigned Block::utf16charsEnd() const